Debian Bug report logs - #498385
Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Andreas Teuchert <ant+bdo@hsg-kl.de>

Date: Tue, 9 Sep 2008 15:45:04 UTC

Severity: important

Found in versions 1.0.0+20080903.215656, live-helper/1.0.1-1

Fixed in version live-helper/1.0.1-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498385; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Andreas Teuchert <ant+bdo@hsg-kl.de>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Teuchert <ant+bdo@hsg-kl.de>
To: submit@bugs.debian.org
Subject: Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system
Date: Tue, 9 Sep 2008 17:39:14 +0200
[Message part 1 (text/plain, inline)]
Subject: Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system
Package: live-helper
Version: 1.0.0+20080903.215656
Severity: critical
Justification: causes serious data loss

*** Please type your report below this line ***

Hello,

the LH_BOOTSTRAP="copy" option of live-helper is broken. If used, the
chroot will be created with the following command:

find / ! -name /proc ! -name /sys ! -name "$(dirname ${PWD})" | xargs cp
-a chroot

(/usr/bin/lh_bootstrap_copy, line 54).

I think the intention of this command was to copy the host system into
the chroot. But in fact it copies some files from the host system to
some other location in the host system. Afterwards it is very hard to
detect what files were copied where.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-6-xen-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system
ii  gettext-base                  0.17-3     GNU Internationalization utilities

live-helper recommends no packages.

Versions of packages live-helper suggests:
ii  dosfstools               2.11-6          utilities for making and checking
ii  fakeroot                 1.9.5           Gives a fake root environment
ii  genisoimage              9:1.1.8-1+b1    Creates ISO-9660 CD-ROM filesystem
ii  grub                     0.97-47         GRand Unified Bootloader (Legacy v
ii  memtest86+               2.01-1          thorough real-mode memory tester
ii  mtools                   3.9.11-1        Tools for manipulating MSDOS files
pn  parted                   <none>          (no description available)
ii  squashfs-tools           1:3.3-3+3.2r2-9 Tool to create and append to squas
ii  sudo                     1.6.9p17-1      Provide limited super user privile
ii  syslinux                 2:3.71+dfsg-3   Kernel loader which uses a FAT, ex
ii  uuid-runtime             1.41.0-3        universally unique id library
pn  win32-loader             <none>          (no description available)

-- no debconf information

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498385; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 498385@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Andreas Teuchert <ant+bdo@hsg-kl.de>, 498385@bugs.debian.org
Subject: Re: Bug#498385: Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system
Date: Tue, 09 Sep 2008 17:57:13 +0200
severity 498385 important
thanks

Andreas Teuchert wrote:
> I think the intention of this command was to copy the host system into
> the chroot.

yep.

> But in fact it copies some files from the host system to
> some other location in the host system. Afterwards it is very hard to
> detect what files were copied where.

i don't get it. what's exactely the problem? *iff* you want to create a
live system that is equivalent to the host system, then you have to copy
it (rather than 'cloning', which only takes the same package selection).

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to `important' from `critical' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 09 Sep 2008 16:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498385; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Andreas Teuchert <ant+bdo@hsg-kl.de>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 498385@bugs.debian.org (full text, mbox):

From: Andreas Teuchert <ant+bdo@hsg-kl.de>
To: Daniel Baumann <daniel@debian.org>, 498385@bugs.debian.org
Subject: Re: Bug#498385: Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system
Date: Tue, 9 Sep 2008 18:38:49 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 09, 2008 at 05:57:13PM +0200, Daniel Baumann wrote:
> severity 498385 important
> thanks
> 
> Andreas Teuchert wrote:
> > I think the intention of this command was to copy the host system into
> > the chroot.
> 
> yep.
> 
> > But in fact it copies some files from the host system to
> > some other location in the host system. Afterwards it is very hard to
> > detect what files were copied where.
> 
> i don't get it. what's exactely the problem? *iff* you want to create a
> live system that is equivalent to the host system, then you have to copy
> it (rather than 'cloning', which only takes the same package selection).
> 

Yes, but IMHO lh_bootstrap_copy should copy the whole system into the
chroot and not some files from the system somewhere else.
But what actually is done is that "cp" copies the chroot and a long list
of files to the last file find prints out.

-- 
Key fingerprint = F547 AB7E 8BF2 1399 DE2A  96CA 4BC2 476A EFEB 8C52
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498385; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 498385@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: Andreas Teuchert <ant+bdo@hsg-kl.de>, 498385@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>, 498385@bugs.debian.org
Subject: Re: Bug#498385: Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system
Date: Tue, 9 Sep 2008 18:00:50 +0100
[Message part 1 (text/plain, inline)]
tags 498385 + pending
thanks

Andreas Teuchert wrote:

> Yes, but IMHO lh_bootstrap_copy should copy the whole system into the
> chroot and not some files from the system somewhere else.
> But what actually is done is that "cp" copies the chroot and a long list
> of files to the last file find prints out.

Looking at the code it is basically performing:

 cp -a chroot / /usr /usr/bin/foobar [..]

.. which clearly is not the intended behaviour. I've commited a tar-based
version to Git which also fixes potential filename-related problems due to
the lack of -print0 in the original code.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498385; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 498385@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Chris Lamb <chris@chris-lamb.co.uk>, 498385@bugs.debian.org
Subject: Re: Bug#498385: Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system
Date: Tue, 09 Sep 2008 20:44:01 +0200
Chris Lamb wrote:
> .. which clearly is not the intended behaviour. I've commited a tar-based
> version to Git which also fixes potential filename-related problems due to
> the lack of -print0 in the original code.

thanks Chris!

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 11 Sep 2008 06:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498385; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Andreas Teuchert <ant+bdo@hsg-kl.de>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 498385@bugs.debian.org (full text, mbox):

From: Andreas Teuchert <ant+bdo@hsg-kl.de>
To: Chris Lamb <chris@chris-lamb.co.uk>, 498385@bugs.debian.org
Subject: Re: Bug#498385: Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system
Date: Thu, 18 Sep 2008 14:49:48 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 09, 2008 at 06:00:50PM +0100, Chris Lamb wrote:
> .. which clearly is not the intended behaviour. I've commited a tar-based
> version to Git which also fixes potential filename-related problems due to
> the lack of -print0 in the original code.
> 

Hello,

thank you for fixing this, but there are still two problems. The
directory chroot has to be created before chrooting to it and I also
think that there should be a third "--exclude" before "$(dirname ${PWD}).

Cheers,

Andreas

-- 
Key fingerprint = F547 AB7E 8BF2 1399 DE2A  96CA 4BC2 476A EFEB 8C52
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 19 Sep 2008 13:48:28 GMT) Full text and rfc822 format available.

Notification sent to Andreas Teuchert <ant+bdo@hsg-kl.de>:
Bug acknowledged by developer. (Fri, 19 Sep 2008 13:48:28 GMT) Full text and rfc822 format available.

Message #39 received at 498385-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 498385-close@bugs.debian.org
Subject: Bug#498385: fixed in live-helper 1.0.1-1
Date: Fri, 19 Sep 2008 12:32:05 +0000
Source: live-helper
Source-Version: 1.0.1-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.1-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.1-1.diff.gz
live-helper_1.0.1-1.dsc
  to pool/main/l/live-helper/live-helper_1.0.1-1.dsc
live-helper_1.0.1-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0.1-1_all.deb
live-helper_1.0.1.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 498385@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Sep 2008 14:00:00 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 498385 498531
Changes: 
 live-helper (1.0.1-1) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * Improve architecture auto-detection.
   * mksquashfs in Lenny supports -no-progress, so remove (broken) check.
   * Standardise on appending " (fail-safe mode)" for all bootloaders.
   * Use cp's "-T" option instead of shell globbing to ensure dotfiles in the
     binary image's / are copied.
   * Add "/.disk" metadata on usb-hdd images.
   * Unmount chroot/dev.tmp/pts filestems created by lh_binary_usb-hdd in
     lh_clean.
   * Additionally unmount chroot/binary.tmp in lh_clean --chroot.
   * Refactor partition size calculation, ensuring a uniform increase for ext
     partitions.
   * Warn when using syslinux with a non-FAT LH_BINARY_FILESYSTEM.
   * Use tar to perform lh_bootstrap_copy (Closes: #498385)
   * Add silo to sparc source package selection.
   * Correcting package name "dd_rescue" -> "ddrescue".
   * Correcting package names for "madwifi", only installing if non-free
     selected.
   * Removing packages from rescue list where they 'Conflict:' with each other.
   * Fix handling of --version and getopt program name.
 .
   [ Daniel Baumann ]
   * Adding support for squeeze (lenny+1).
   * Don't install more than one kernel image when building minimal or stripped
     images.
   * Removing currently unused Upstream-Depends field in control.
   * Making gettext depends unversioned.
   * Fixing a chicken-egg problem with package indices when using
     minimal/stripped list *and* including local-packages.
   * Adding color functions for future usage.
   * Adding cursor functions for future usage.
   * Updating vcs fields in control file.
   * Applying patch from Ian Jackson <ian@davenant.greenend.org.uk> to update
     package selection of the rescue list.
   * Removing unsupported, unmaintained and unused knoppix package lists.
   * Adding syslinux-common to rescue list.
   * Adding scalpel to rescue list as suggested by Mathieu Geli
     <mathieu.geli@gmail.com>.
   * Correcting typo with if/endif statements in the rescue list.
   * Removing alsa-oss from standard-x11 package list, this should not really be
     in a default list.
   * Adding posh and dash to devel-live packages list.
   * Not including syslinux-common on lenny just yet, it still neds 1.5 days to
     migrate.
   * Adding rescue flavour to autobuild images.
   * Always using apt to install keyring packages (Closes: #498531).
   * Correcting wrong logic in lh_cleans check for beeing in the config directory
     or not (in order to prevent accidental cleaning by the user).
   * Automatically enforcing fat32 on usb-hdd when detecting files bigger than
     2GB.
   * Automatically enforcing fat32 on usb-hdd when detecting partitions bigger
     than 2GB.
   * Simplyfing partition size check when enforcing fat32.
   * Removing example hook for qemu-launcher, this is now in the archive as
     autorun4linuxcd package.
   * Adding example hook to update initramfs.
   * Updating cursor.sh with additional functions.
   * Re-including syslinux-common for lenny in the rescue list.
   * Adding lxde list, thanks to Kam Salisbury <kam@kamsalisbury.com>.
   * Adding moreutils to rescue list.
   * Adding scripts directory to to include custom helper scripts.
   * Removing sbm, not needed anymore.
 .
   [ Mathieu Geli ]
   * Correcting some little glitches building with the rescue list.
 .
   [ Marco Amadori ]
   * Splitted "longoptions" in various lines.
Checksums-Sha1: 
 6dd3e6a582693dc84606dc2dc0162ebb4443aa8d 1239 live-helper_1.0.1-1.dsc
 d3dbe882bf6464dcfc9beaea9aae7ed7a64ab7a7 1921564 live-helper_1.0.1.orig.tar.gz
 3198ddb71a4299b50f7a021689266fc5a1eda20b 20041 live-helper_1.0.1-1.diff.gz
 bedd6c01a4e48223b70cb63a1a8e9ac801ff493d 1853782 live-helper_1.0.1-1_all.deb
Checksums-Sha256: 
 b4091b43099dd020c48a51cf5555e6aac096812e0dfb3b7a1ec9f5302b8a495c 1239 live-helper_1.0.1-1.dsc
 f6de8a877047ac34067212b71c96273233bff81ac9a3a179f94ea07812309e8b 1921564 live-helper_1.0.1.orig.tar.gz
 3c88c9574a9d2598508207bd42abdba09f4ccc44d67f9ff46c4b319b444d2666 20041 live-helper_1.0.1-1.diff.gz
 4069d3be67e7cabf4653e644a0eacffb08227cda009110d03a844ccd101b9472 1853782 live-helper_1.0.1-1_all.deb
Files: 
 70a25531dccfb79926d0fd992fdaf63a 1239 misc optional live-helper_1.0.1-1.dsc
 8b037b6d9d047b37a8dd1e4cf9b7dccc 1921564 misc optional live-helper_1.0.1.orig.tar.gz
 a5e7970f4c0ee54ad6191f01743551ca 20041 misc optional live-helper_1.0.1-1.diff.gz
 43c4e345c4b198e94971f6dfaad97afa 1853782 misc optional live-helper_1.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjTmUYACgkQ+C5cwEsrK57cogCfZKgafFM2MkNPA6On1WBbw1bj
yd0AoI9cjBUy9IbhAXfQIC3oDOSPw5Tk
=2o3I
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498385; Package live-helper. (Fri, 19 Sep 2008 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 19 Sep 2008 19:00:03 GMT) Full text and rfc822 format available.

Message #44 received at 498385@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: Andreas Teuchert <ant+bdo@hsg-kl.de>
Cc: 498385@bugs.debian.org
Subject: Re: Bug#498385: Using LH_BOOTSTRAP="copy" makes live-helper screw up the host system
Date: Fri, 19 Sep 2008 19:58:36 +0100
[Message part 1 (text/plain, inline)]
reopen 498385
found 498385 1.0.1-1
tags 498385 +pending
thanks

Andreas Teuchert wrote:

> thank you for fixing this, but there are still two problems. The
> directory chroot has to be created before chrooting to it and I also
> think that there should be a third "--exclude" before "$(dirname ${PWD}).

You are, of course, completely correct. I've just pushed a fix.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Bug reopened, originator not changed. Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Fri, 19 Sep 2008 19:00:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 1.0.1-1. Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Fri, 19 Sep 2008 19:00:05 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Fri, 19 Sep 2008 19:00:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 11 Nov 2008 13:33:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Teuchert <ant+bdo@hsg-kl.de>:
Bug acknowledged by developer. (Tue, 11 Nov 2008 13:33:08 GMT) Full text and rfc822 format available.

Message #55 received at 498385-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 498385-close@bugs.debian.org
Subject: Bug#498385: fixed in live-helper 1.0.1-2
Date: Tue, 11 Nov 2008 13:02:03 +0000
Source: live-helper
Source-Version: 1.0.1-2

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.1-2.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.1-2.diff.gz
live-helper_1.0.1-2.dsc
  to pool/main/l/live-helper/live-helper_1.0.1-2.dsc
live-helper_1.0.1-2_all.deb
  to pool/main/l/live-helper/live-helper_1.0.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 498385@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Nov 2008 13:00:00 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.1-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 498385 499625 499656 499793 500677 500740 501652 502877
Changes: 
 live-helper (1.0.1-2) unstable; urgency=medium
 .
   [ An-Cheng Huang ]
   * ignore harmless warnings from parted.
 .
   [ Chris Lamb ]
   * Really fix LH_BOOTSTRAP="copy". Thanks to Andreas Teuchert
     <ant+bdo@hsg-kl.de>. (Closes: #498385)
   * Ensure local packages lists are sourced over global ones (Closes: #499656)
   * Fix timing issue in create of source tarballs. Patch by Sebastian H
     <shbugreport@online.de>. (Closes: #499793)
   * Additionally save the 'scripts/' subdirectory if it contains files when
     building source images.
   * Syncing options in lh_config(1) with lh_config, etc. Thanks to Luca Bruno.
   * Create a "missing-source.txt" file containing missing source packages
     instead of exiting.
   * Don't build up source package list inside chroot.
   * Install appropriate tasksel program.
   * Correcting sparc architecture detection to ensure correct source package
     contents.
   * Include source for sparc-utils on that architecture.
   * Ensure all files installed via chroot_local-includes are owned by root:root.
     Thanks to Julien Cristau <jcristau@debian.org>.
   * For consistency, don't preserve uid/gid for files in binary_local-includes.
   * Add utility function to call 'Exit' when script exits.
   * Print message when Exit is called.
   * Setup cleanup hook in the high-level helpers.
   * Refactor utility to locate conffiles.
   * Add utility to dump specified file to stdout.
   * Add utility to dump all conffiles to stdout.
   * Add lh_dumpconfig helper to print suitable output for pastebins and other
     remote debugging.
 .
 .
   [ Daniel Baumann ]
   * Adding explicit --yes to apt-get call when installing keyring packages
     (previously, this was inherited through Apt(); wrapper) (Closes: #499625).
   * Correcting wrong spelling of sl-modem-daemon in rescue list.
   * Fixing bcm43xx-fwcutter entry in rescue list, only available in etch.
   * Automatically correct LH_SETUP value if the configured losetup cannot be
     found.
   * Improving indices workaround by checking LH_BOOTSTRAP_FLAVOUR rather than
     LH_PACKAGES_LISTS in order to handle chicken-egg problem for installing
     apt-utils when having bootstrapped a minimal chroot.
   * Also accept x86_64 as alias for amd64 when checking for cross architecture
     support.
   * Adding virtualbox-ose hook.
   * Adding lh_chroot_selinuxfs helper to support building live images on a
     selinux enabled host (Closes: #501652).
   * Applying patch from Frederic Boiteux <fboiteux@calistel.com> to support
     wildcards in rootfs exclude lists (Closes: #500677).
   * Making removal stage of lh_chroot_selinuxfs dependent on the existence of
     /selinux, otherwise that directory would be always created in the chroot.
   * Manually setting owner of /etc/skel to root.
   * Making sure /etc/sudoers has right owner/permissions.
   * Using simplified Require_stagefile(); calls by passing multiple arguments.
   * Enforcing lh_config to be run before lh_build, see also
     http://lists.debian.org/debian-live/2008/10/msg00102.html (Closes: #500740).
   * Updating version number in common.sh.
   * Removing LIVE_* grep from Exit(); as we have switched to LH_* variables long
     time ago.
   * Adding unmount calls for pseudo-filesystems in Exit();.
   * Excluding ipppd from rescue list due to #502693.
   * Correcting intendation in conffile.sh.
   * Adjusting code style of lh_dumpconfig.
   * Merging lh_dumpconfig into lh_config as --dump parameter.
   * Updating Debian Forensics packages in rescue list.
   * Using dd rather than cat to write mbr.bin to usb-hdd images; dd is more
     robust in case mbr.bin is corrupted.
   * Improving version output of lh_config --dump.
   * Removing double cryptsetup entry in rescue list.
   * Adding lsof in rescue list.
   * Updating releases.sh to match internal namespace of included functions.
   * Marking grub and lilo in rescue list as amd64 and i386 only.
   * Grouping bootloaders in rescue list.
   * Adding hppa bootloader to rescue list.
   * Renaming internal Read_conffile(); to Read_conffiles(); for consistency
     reasons.
   * Generalizing internal Chroot(); by requiring its first argument to be the
     chroot directory.
   * Don't use set -e in sourced functions, this is the job of the actual
     executed script.
   * Check for availability of gettext at runtime, and only use it if existing.
   * Updating color functions.
   * Adding armel to architecture specific checks.
   * Slightly reordering genisoimage option assembling.
   * Slightely improving wording of the 'bootloader not yet supported' when
     creating images.
   * Updating signals in exit and lockfile traps.
   * Syncing internal lockfile functions.
   * Syncing internal l10n functions.
   * Generalizing internal LH_L10N variable.
   * Generalizing internal LH_FORCE variable.
   * Generalizing internal LH_DEBUG variable.
   * Generalizing internal LH_QUIET variable.
   * Generalizing internal LH_VERBOSE variable.
   * Generalizing internal LH_BREAKPOINTS variable.
   * Implementing colorful output (currently disabled by default, though).
   * Cleaning up code of 'lh' short helper.
   * Correcting manpage section reference in a comment in lh.
   * Removing double warning symbol.
   * Also checking for gettext catalogs to be installed before enabling l10n.
   * Using package variable to refere internally to live-helper.
   * Generalizing internal LH_CONFFILE variable.
   * Replacing obsolete dh_clean -k with dh_prep.
 .
   [ Marco Amadori ]
   * lh_config --help and manpage 'copy' mention.
   * Ensure lh_binary_debian-installer includes local debs (Closes: #502877)
 .
   [ Maximilian Gass ]
   * Only install memtest in lh_binary_syslinux if enabled.
 .
   [ Kai Hendry ]
   * Removing etch-only madwifi-doc package from madwifi example hook.
Checksums-Sha1: 
 503539d95abd9732802ac3590bbb5e16f536cdc9 1239 live-helper_1.0.1-2.dsc
 007e7ba6226bf6e4c0c5272ed243b30e0317d4b9 37922 live-helper_1.0.1-2.diff.gz
 76307a55ffcf95be88f53eaba267f02619ac6e5b 1857734 live-helper_1.0.1-2_all.deb
Checksums-Sha256: 
 09b455210ec0b4c539ac2dc9c9a5446badc7dc0f2da7bfb1cd31303d1207ba7e 1239 live-helper_1.0.1-2.dsc
 bbcddc8f632e649016f48f239160b336dfe680d1d180039e52946b739334aadb 37922 live-helper_1.0.1-2.diff.gz
 4be79b70b49db0da0953271273619b046ed21524a5d981e8d87d1300ea7b23c9 1857734 live-helper_1.0.1-2_all.deb
Files: 
 e39d82ca8ba3fa6037eb1b84d7e5a933 1239 misc optional live-helper_1.0.1-2.dsc
 124e698c02f4036b2bbcf31b97412a69 37922 misc optional live-helper_1.0.1-2.diff.gz
 01e07f1b7f0c201b3fd21764f125900c 1857734 misc optional live-helper_1.0.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkZf0IACgkQ+C5cwEsrK55AtwCgxOEKq6zsl+jRfQxOpw83hK1K
rMUAoKuJOwERKH8mu/zrpjdxtVlNvGKS
=6xNN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Dec 2008 07:32:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:16:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.